# 45. Mutation: salva i dati utente

Mutazione per impostare le impostazioni dell'account utente. La mutazione imposta solo gli attributi richiesti.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutazione SaveUserDataSample {
  saveUserData(
    input: {
      lingua: en
      unitàArea: ACRES
      quantitàClassiDatasetSuolo: 6
    }
  ) {
    uuid
    email
    unitàSuperficie
    lingua
    numeroClassiDatasetSuolo
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/45.-mutation-salva-i-dati-utente.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
